Re: Removing firefox-2.0.0.20_9,1 from system



Add WITH_GECKO=libxul to your /etc/make.conf and run portmaster -o to
replace firefox with firefox35.

http://www.freebsd.org/gnome/docs/faq226.html#q1
http://www.freebsd.org/cgi/man.cgi?query=portmaster&sektion=8&apropos=0&manpath=FreeBSD+7.2-RELEASE+and+Ports

On Wed, Aug 26, 2009 at 1:30 PM, Jerry<gesbbb@xxxxxxxxx> wrote:
I recently installed openoffice.org-3.1.0_2 on my system. For some
reason it brought in firefox-2 also. I all ready had Firefox-3.5
installed. I do not want or need two different installations of Firefox
on my system.

Firefox-2 appears to be required by these programs.

/var/db/pkg $ pkg_info -R firefox-2.0.0.20_9,1
Information for firefox-2.0.0.20_9,1:

Required by:
gegl-0.0.22_6
gimp-2.6.6,2
gimp-app-2.6.6_3,1
gimp-gutenprint-5.1.7_2
gimp-help-2.4.2_1
librsvg2-2.26.0_1

I am not sure why these programs require Firefox-2 since Firefox-3.5
was installed prior to their installation.

Is there any way I can safely remove Firefox-2 and force the use of
Firefox-3.5 instead without breaking anything?

--
Jerry
gesbbb@xxxxxxxxx

Harp not on that string.

       William Shakespeare, "Henry VI"
_______________________________________________
freebsd-questions@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscribe@xxxxxxxxxxx"

_______________________________________________
freebsd-questions@xxxxxxxxxxx mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscribe@xxxxxxxxxxx"



Relevant Pages

  • Removing firefox-2.0.0.20_9,1 from system
    ... reason it brought in firefox-2 also. ... I do not want or need two different installations of Firefox ... Firefox-2 appears to be required by these programs. ... William Shakespeare, "Henry VI" ...
    (freebsd-questions)
  • Re: Removing firefox-2.0.0.20_9,1 from system
    ... I do not want or need two different installations of Firefox ... Firefox-2 appears to be required by these programs. ... need to rebuild each port from which you want to remove the dependency. ... the dependent ports. ...
    (freebsd-questions)